Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SPTImage Class Reference

List of all members.

## Public Member Functions
| SPTImage ($ImageIdOrFileNameOrImageObj, $MaxPreviewWidth=NULL, $MaxPreviewHeight=NULL, $MaxThumbnailWidth=NULL, $MaxThumbnailHeight=NULL)
| Id ()
| Url ()
| PreviewUrl ()
| ThumbnailUrl ()
| Format ()
| Height ()
| Width ()
| PreviewHeight ()
| PreviewWidth ()
| ThumbnailHeight ()
| ThumbnailWidth ()
| ImageStorageDirectory ()
| PreviewStorageDirectory ()
| ThumbnailStorageDirectory ()
| GetLink ()
| AltText ($NewValue=NULL)
| Delete ()
| Status ()
| CheckDirectories ()
| CreateNewImage ($FileName, $MaxPreviewWidth, $MaxPreviewHeight, $MaxThumbnailWidth, $MaxThumbnailHeight)
| LoadImageInfo ($ImageId)
| CreateCopyOfImage ($SrcImage)
| SetFileNames ()
| GenerateNewImageId ()
| SaveImageInfo ()
## Public Attributes
| $Id
| $FileName
| $ImagePath
| $PreviewPath
| $ThumbnailPath
| $PreviewFileName
| $ThumbnailFileName
| $Format
| $AltText
| $Url
| $PreviewUrl
| $ThumbnailUrl
| $Height
| $Width
| $PreviewHeight
| $PreviewWidth
| $ThumbnailHeight
| $ThumbnailWidth
| $DB
| $ErrorStatus

## Detailed Description

Definition at line 36 of file SPTImage.php.

## Member Function Documentation

SPTImage::AltText | ( | $ | NewValue = `NULL` | ) |

Definition at line 105 of file SPTImage.php.

References Id().

Referenced by CreateCopyOfImage(), and LoadImageInfo().

Here is the caller graph for this function:

SPTImage::CheckDirectories | ( |  | ) |

Definition at line 148 of file SPTImage.php.

References $ImagePath, $PreviewPath, and $ThumbnailPath.

SPTImage::CreateCopyOfImage | ( | $ | SrcImage | ) |

Definition at line 389 of file SPTImage.php.

References AltText(), Format(), GenerateNewImageId(), Height(), Id(), PreviewHeight(), PreviewUrl(), PreviewWidth(), SaveImageInfo(), SetFileNames(), Status(), ThumbnailHeight(), ThumbnailUrl(), ThumbnailWidth(), Url(), and Width().

Referenced by SPTImage().

Here is the caller graph for this function:

SPTImage::CreateNewImage | ( | $ | FileName,
|  | $ | MaxPreviewWidth,
|  | $ | MaxPreviewHeight,
|  | $ | MaxThumbnailWidth,
|  | $ | MaxThumbnailHeight |
| ) |  |  |

Definition at line 250 of file SPTImage.php.

References $FileName, Format(), GenerateNewImageId(), Height(), Id(), Image::MissingExternalExecutables(), PreviewHeight(), PreviewWidth(), SaveImageInfo(), SetFileNames(), Status(), ThumbnailHeight(), ThumbnailWidth(), and Width().

Referenced by SPTImage().

Here is the caller graph for this function:

SPTImage::Delete | ( |  | ) |

Definition at line 124 of file SPTImage.php.

References Id().

SPTImage::Format | ( |  | ) |

Definition at line 92 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), SaveImageInfo(), and SetFileNames().

Here is the caller graph for this function:

SPTImage::GenerateNewImageId | ( |  | ) |

Definition at line 446 of file SPTImage.php.

Referenced by CreateCopyOfImage(), and CreateNewImage().

Here is the caller graph for this function:

SPTImage::GetLink | ( |  | ) |

Definition at line 102 of file SPTImage.php.

SPTImage::Height | ( |  | ) |

Definition at line 93 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

Here is the caller graph for this function:

SPTImage::Id | ( |  | ) |

Definition at line 88 of file SPTImage.php.

Referenced by AltText(), CreateCopyOfImage(), CreateNewImage(), Delete(), LoadImageInfo(), SaveImageInfo(), and SetFileNames().

Here is the caller graph for this function:

SPTImage::ImageStorageDirectory | ( |  | ) |

Definition at line 99 of file SPTImage.php.

SPTImage::LoadImageInfo | ( | $ | ImageId | ) |

Definition at line 358 of file SPTImage.php.

References AltText(), Format(), Height(), Id(), PreviewHeight(), PreviewWidth(), SetFileNames(), ThumbnailHeight(), ThumbnailWidth(), and Width().

Referenced by SPTImage().

Here is the caller graph for this function:

SPTImage::PreviewHeight | ( |  | ) |

Definition at line 95 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

Here is the caller graph for this function:

SPTImage::PreviewStorageDirectory | ( |  | ) |

Definition at line 100 of file SPTImage.php.

SPTImage::PreviewUrl | ( |  | ) |

Definition at line 90 of file SPTImage.php.

Referenced by CreateCopyOfImage().

Here is the caller graph for this function:

SPTImage::PreviewWidth | ( |  | ) |

Definition at line 96 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

Here is the caller graph for this function:

SPTImage::SaveImageInfo | ( |  | ) |

Definition at line 458 of file SPTImage.php.

References Format(), Id(), and ThumbnailHeight().

Referenced by CreateCopyOfImage(), and CreateNewImage().

Here is the caller graph for this function:

SPTImage::SetFileNames | ( |  | ) |

Definition at line 426 of file SPTImage.php.

References Image::Extension(), Format(), and Id().

Referenced by CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

Here is the caller graph for this function:

SPTImage::SPTImage | ( | $ | ImageIdOrFileNameOrImageObj,
|  | $ | MaxPreviewWidth = `NULL`,
|  | $ | MaxPreviewHeight = `NULL`,
|  | $ | MaxThumbnailWidth = `NULL`,
|  | $ | MaxThumbnailHeight = `NULL` |
| ) |  |  |

Definition at line 41 of file SPTImage.php.

References CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

SPTImage::Status | ( |  | ) |

Definition at line 140 of file SPTImage.php.

Referenced by CreateCopyOfImage(), and CreateNewImage().

Here is the caller graph for this function:

SPTImage::ThumbnailHeight | ( |  | ) |

Definition at line 97 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), LoadImageInfo(), and SaveImageInfo().

Here is the caller graph for this function:

SPTImage::ThumbnailStorageDirectory | ( |  | ) |

Definition at line 101 of file SPTImage.php.

SPTImage::ThumbnailUrl | ( |  | ) |

Definition at line 91 of file SPTImage.php.

Referenced by CreateCopyOfImage().

Here is the caller graph for this function:

SPTImage::ThumbnailWidth | ( |  | ) |

Definition at line 98 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

Here is the caller graph for this function:

SPTImage::Url | ( |  | ) |

Definition at line 89 of file SPTImage.php.

Referenced by CreateCopyOfImage().

Here is the caller graph for this function:

SPTImage::Width | ( |  | ) |

Definition at line 94 of file SPTImage.php.

Referenced by CreateCopyOfImage(), CreateNewImage(), and LoadImageInfo().

Here is the caller graph for this function:

## Member Data Documentation

SPTImage::$AltText

Definition at line 237 of file SPTImage.php.

SPTImage::$DB

Definition at line 247 of file SPTImage.php.

SPTImage::$ErrorStatus

Definition at line 248 of file SPTImage.php.

SPTImage::$FileName

Definition at line 230 of file SPTImage.php.

Referenced by CreateNewImage().

SPTImage::$Format

Definition at line 236 of file SPTImage.php.

SPTImage::$Height

Definition at line 241 of file SPTImage.php.

SPTImage::$Id

Definition at line 229 of file SPTImage.php.

SPTImage::$ImagePath

Definition at line 231 of file SPTImage.php.

Referenced by CheckDirectories().

SPTImage::$PreviewFileName

Definition at line 234 of file SPTImage.php.

SPTImage::$PreviewHeight

Definition at line 243 of file SPTImage.php.

SPTImage::$PreviewPath

Definition at line 232 of file SPTImage.php.

Referenced by CheckDirectories().

SPTImage::$PreviewUrl

Definition at line 239 of file SPTImage.php.

SPTImage::$PreviewWidth

Definition at line 244 of file SPTImage.php.

SPTImage::$ThumbnailFileName

Definition at line 235 of file SPTImage.php.

SPTImage::$ThumbnailHeight

Definition at line 245 of file SPTImage.php.

SPTImage::$ThumbnailPath

Definition at line 233 of file SPTImage.php.

Referenced by CheckDirectories().

SPTImage::$ThumbnailUrl

Definition at line 240 of file SPTImage.php.

SPTImage::$ThumbnailWidth

Definition at line 246 of file SPTImage.php.

SPTImage::$Url

Definition at line 238 of file SPTImage.php.

SPTImage::$Width

Definition at line 242 of file SPTImage.php.

The documentation for this class was generated from the following file:

- SPTImage.php